> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://esendex.ferndocs.com/api-reference/messages/get-all-messages/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://esendex.ferndocs.com/_mcp/server. # Get all messages GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages Reference: https://esendex.ferndocs.com/api-reference/messages/get-all-messages ## Authentication - `X-API-Key` header (required) — Your Esendex API key. ## Request ### Query parameters - `ContinuationToken` (string, optional) - `RequestId` (string, optional) - `MessageId` (string, optional) - `ConversationId` (string, optional) - `Status` (enum, optional) - Allowed values: `Unknown`, `Sent`, `InProgress`, `Failed`, `Received`, `Delivered` - `Reason` (enum, optional) - Allowed values: `Unknown`, `CanBeSent`, `OptedOut`, `SenderIdInvalid`, `MsisdnInvalid`, `LandlineNotAllowed`, `DestinationNotAllowed`, `DisallowedContent`, `MessagePartCountExceeded`, `SendingLimitExceeded`, `WithinQuietHours`, `OutsideBusinessHours`, `EdgeFailed`, `EdgeSubmitted`, `Dispatched`, `FailedToDispatch`, `Accepted`, `FailedToRoute`, `Routed`, `ReplacedOriginator`, `SentToNetwork`, `FailedToSendToNetwork`, `NetworkAccepted`, `NetworkRejected`, `NetworkFailed`, `NetworkExpired`, `MessageDropped`, `MessageExpired`, `Delivered`, `Inbound`, `InternalError`, `UnableToShortenUrl`, `NoMessageContent`, `MessageFallback`, `MessageFailed`, `AttachmentVerificationFailed` - `Address` (string, optional) - `DestinationCode` (string, optional) - `Originator` (string, optional) - `RequestName` (string, optional) - `Channel` (string, optional) - `MessageType` (enum, optional) - Allowed values: `Unknown`, `MarketingAndResearch`, `NotificationsAndReminders`, `AuthenticationAndSecurity`, `PaymentsAndCollections`, `InternalOperations`, `CustomerSupport`, `Conversational`, `BlueLight` - `Source` (string, optional) - `StartTime` (datetime, optional) - `EndTime` (datetime, optional) - `PageSize` (V2MessagesGetParametersPageSize, optional) - `SortOrder` (enum, optional) - Allowed values: `Asc`, `Desc` - `SortBy` (enum, optional) - Allowed values: `SubmittedAt` - `RetrieveMessageBody` (boolean, optional) - `Direction` (enum, optional) - Allowed values: `Unknown`, `Outbound`, `Inbound` - `IncludeDeleted` (boolean, optional) - `SubmittedBy` (string, optional) - `RcsType` (enum, optional) - Allowed values: `Unknown`, `Basic`, `Single` - `IsFallback` (boolean, optional) ### Headers - `AccountReference` (string, optional) — Optional AccountReference header ## Response ### 200 OK - `data` (GetAllMessagesResponse, optional, nullable) - `errors` (list of ErrorDto, optional, nullable) ## Types ### V2MessagesGetParametersPageSize ### GetAllMessagesResponse - `messages` (list of GetAllMessagesResponseMessagesItems, optional) - `totalCount` (GetAllMessagesResponseTotalCount, optional) - `currentPage` (GetAllMessagesResponseCurrentPage, optional) - `totalPages` (GetAllMessagesResponseTotalPages, optional) - `pageSize` (GetAllMessagesResponsePageSize, optional) ### ErrorDto - `errorCode` (string, required) - `errorMessage` (string, required) - `metadata` (map from string to string, optional, nullable) ### GetAllMessagesResponseMessagesItems - `messageId` (string, optional) - `requestId` (string, optional) - `conversationId` (string, optional, nullable) - `accountReference` (string, optional, nullable) - `userId` (string, optional) - `submittedBy` (string, optional, nullable) - `requestName` (string, optional, nullable) - `source` (string, optional, nullable) - `channel` (string, optional, nullable) - `messageType` (string, optional, nullable) - `originator` (string, optional, nullable) - `isBillable` (boolean, optional) - `address` (string, optional, nullable) - `submittedAddress` (string, optional, nullable) - `status` (string, optional, nullable) - `reason` (string, optional, nullable) - `destinationCode` (string, optional, nullable) - `content` (string, optional, nullable) - `messagePartCount` (GetAllMessagesResponseMessagesItemsMessagePartCount, optional) - `variables` (map from string to string, optional, nullable) - `submittedAt` (datetime, optional, nullable) - `sentAt` (datetime, optional, nullable) - `lastUpdateTimestamp` (datetime, optional) - `direction` (string, optional, nullable) - `isRead` (boolean, optional, nullable) - `readBy` (string, optional, nullable) - `isDeleted` (boolean, optional) - `isDeletedBy` (string, optional, nullable) - `contactId` (string, optional, nullable) - `contactData` (GetAllMessagesResponseMessagesItemsContactData, optional) - `rcsType` (string, optional, nullable) - `isFallback` (boolean, optional) - `contentType` (string, optional, nullable) - `attachmentUrl` (string, optional, nullable) ### GetAllMessagesResponseTotalCount ### GetAllMessagesResponseCurrentPage ### GetAllMessagesResponseTotalPages ### GetAllMessagesResponsePageSize ### GetAllMessagesResponseMessagesItemsMessagePartCount ### GetAllMessagesResponseMessagesItemsContactData - `firstName` (string, optional, nullable) - `lastName` (string, optional, nullable) - `quickName` (string, optional, nullable) ## Examples **Response** ```json { "data": null, "errors": null } ``` **SDK Code** ```python import requests url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages" headers = {"X-API-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages', [ 'headers' => [ 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```